using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using PizzeriaDataModels;


namespace PizzeriaContracts.ViewModels
{
    public class PizzaViewModel : IPizzaModel
    {
        public int Id { get; set; }
        [DisplayName("Название изделия")]
        public string PizzaName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PizzaComponents
        {
            get;
            set;
        } = new();
    }

}
